{% load static i18n %}
{% load markdown_deux_tags %}

    <div class="row">
      <h3 class="col mb-5">{% trans 'Complaints' %}</h3>
      {% if user.healthteam %}
          <div class="col">
              <a href="{% url 'medicalrecords:create_complaint_medicalrecords'  view.kwargs.username  %}" class="btn btn-success float-right" >{% trans "Add" %}</a>
          </div>
      {% endif %}
    </div>
    <div class="list-group">
      <div class="accordion" id="accordionmenu1">
        {% for complaint in complaints %}
          <div class="card">
            <div class="card-header" id="headingComplaint{{ complaint.id }}">
              <h5 class="mb-0">
                <button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseComplaint{{complaint.id}}">
                    {% trans 'Author'%}: {{ complaint.author.user.name }} | {% trans 'Complaint day'%}: {{ complaint.complaint_day }}
                    <i class="fa fa-angle-down ml-2" style="font-size:24px"></i>
                </button>
              </h5>
            </div>
            <div id="collapseComplaint{{complaint.id}}" class="collapse" data-parent="#headingComplaint{{ complaint.id }}">
              <div class="card-body">
                <div class="h-blue list-group-item mb-5">
                  <div class="row">
                    <div class="col alert alert-dark mx-2 my-2">
                      <p class="text-tertiary h-blue"> {{ complaint.description|markdown }} </p>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col border-right border-top">
                      <p class="text-tertiary h-blue"><label>{% trans 'Author'%}: </label> {{ complaint.author.user.name }} </p>
                    </div>
                    <div class="col border-top">
                      <p class="text-tertiary h-blue"><label>{% trans 'Created at'%}: </label> {{ complaint.complaint_day }}, {{ complaint.complaint_time }} </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        {% empty %}
            <h4>{% trans 'There are no complaints registered for this patient.'%}</h4>
        {% endfor %}
      </div>
    </div>
